#!/usr/bin/python2

#
# SCRIBBLE CONFIGURATION FILE
#


"""
repository: Where the pages are stored. Should be an absolute path that doesn't end with a slash. Should be read and writeable by the web browser but not browseable from the command line
"""
repository = "/var/www/mysite/scribble/"


"""
START_PAGE: Default first page to use. The index page. Create a file called the name below in the 'repository' directory. An empty text file will do.
"""
START_PAGE = "StartPage"


"""
scriptURL: The URL of this script. Can be absolute or relative but must include
the filename of this script as well.
"""
scriptURL = "/cgi-bin/scribble.py"


"""
MAX_WHATS_NEW: Maximum number of pages to show on the What's New page
"""
MAX_WHATS_NEW = 10


"""
MAX_IMAGE_SIZE: Maximum size of an uploaded image, in bytes.
Use this to prevent people filling your webspace with huge images.
"""
MAX_IMAGE_SIZE = 100 * 1024


"""
USE_RCS: 1 if RCS version control should be used, 0 if not. Requires
the rcs utilities (ci, co, rlog, rcsdiff, etc) to be in the path for the
web server. This is the default on Linux.
"""
USE_RCS = 1


"""
The URL of the stylesheet to use. Can be absolute or relative. For no stylesheet leave this as the empty string or make it None
"""
STYLESHEET=""
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Chocolate"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Midnight"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Modernist"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Oldstyle"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Steely"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Swiss"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Traditional"
#STYLESHEET = "http://www.w3.org/StyleSheets/Core/Ultramarine"


"""
The URL of the image to use as the top logo. Can be absolute or relative. For no logo leave this is the empty string or make it None
"""
LOGO="scribble.gif"


"""
IGNORE_IMAGES: Whether to ignore images in the What's New list.
"""
IGNORE_IMAGES = 1

"""
SMTP_SERVER: SMTP server to use to send e-mail updates.
"""
SMTP_SERVER = "smtp.myserver.org"

"""
SMTP_FROM: Address the e-mail updates should appear to come from.
"""
SMTP_FROM = "scribble@myhostname.org"

"""
SMTP_AUTHENTICATE: Does SMTP_SERVER require authentication ?
"""
SMTP_AUTHENTICATE = 1

"""
SMTP_USER: If SMTP_AUTHENTICATE is 1 this is the username to use:
"""
SMTP_USER = "username"

"""
SMTP_PASSWORD: If SMTP_AUTHENTICATE is 1 this is the password to use
"""
SMTP_PASSWORD = "mypassword"

